/*========================================================================
                              
                                ** UMOP **
		** Universal Multi-Agent OBDD-based Planner **

            Copyright (C) 1999 by Rune M. Jensen and Manuela M. Veloso
            Computer Science Department, Carnegie Mellon University.
            
    Permission is hereby granted to distribute the UMOP software for 
    research purposes, provided this notice is included with any such 
    distribution. 

      *** WE ARE NOT RESPONSIBLE FOR ANY KIND OF DAMAGE TO YOUR  ***
      *** FILES, DATA, HARDWARE, LOSS OF MONEY, SYSTEM CRASHES   *** 
      *** OR ANY OTHER THING YOU MIGHT COME UP WITH.             ***
      *** - USE THIS PROGRAM OF YOUR OWN FREE WILL !!!           ***

========================================================================*/
/****************************************************** 
 * File  : bddprint.hpp   
 * Desc. : header for bddprint.hpp
 * Author: Rune M. Jensen, CS, CMU
 * Date  : 2/26/99
 ******************************************************/

#ifndef BDDPRINTHPP
#define BDDPRINTHPP

#include <stdio.h>
#include <iostream.h>
#include <fstream.h>
#include <bdd.h>
#include "fsm.hpp"
#include "common.hpp"

struct bddprintabs {
  FILE       *setfile;
  domdef     *def;
  ofstream    outfile;
  char        outfilename[MAXNAMELENGTH];
  int        *actlen; // the length of the action output must be explicitly stored
  int         parse(int *,int);
  void        reset();
  void        bddprint(bdd b);
  void        bddinfo(bdd b);
  void        bddprinthead();
              bddprintabs(char *filename,domdef *d);
};
  



#endif  
